Extract Variables
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/templates/extract-variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template": "User {{user}} accessing {{.secret.database}} on {{.env.HOST}}"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/templates/extract-variables"
payload = { "template": "User {{user}} accessing {{.secret.database}} on {{.env.HOST}}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template: 'User {{user}} accessing {{.secret.database}} on {{.env.HOST}}'})
};
fetch('https://control-plane.kubiya.ai/api/v1/templates/extract-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"env_vars": [
"HOST"
],
"secrets": [
"database"
],
"simple_vars": [
"user"
],
"variables": [
{
"display_name": "user",
"end": 13,
"name": "user",
"raw": "{{user}}",
"start": 5,
"type": "simple"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}templates
Extract Variables
Extract all variables from a template without validation or compilation.
Useful for:
- Analyzing templates before providing context
- Building UI autocomplete suggestions
- Determining required secrets/env vars
POST
/
api
/
v1
/
templates
/
extract-variables
Extract Variables
Authorizations
Enter your Kubiya API token (format: Bearer )
Body
application/json
Request schema for extracting variables from a template.
Template string to analyze
Minimum string length:
1Response
Successful Response
Was this page helpful?
⌘I